part of 'home_bloc.dart';

sealed class HomeEvent extends Equatable {
  const HomeEvent();
}

final class GetAllOrdersListEvent extends HomeEvent {
  const GetAllOrdersListEvent();

  @override
  List<Object?> get props => [];
}

final class GetOrdersEvent extends HomeEvent {
  const GetOrdersEvent({this.isLoading = true});

  final bool isLoading;

  @override
  List<Object?> get props => [isLoading];
}

final class OrderStatusEvent extends HomeEvent {
  final String status;

  const OrderStatusEvent({required this.status});

  @override
  List<Object?> get props => [status];
}

final class PaginationEvent extends HomeEvent {
  const PaginationEvent();

  @override
  List<Object?> get props => [];
}

final class GetBannersEvent extends HomeEvent {
  const GetBannersEvent();

  @override
  List<Object?> get props => [];
}

final class RefreshEvent extends HomeEvent {
  const RefreshEvent();

  @override
  List<Object?> get props => [];
}
